Package org.eclipse.microprofile.openapi.apps.beanvalidation

## Class BeanValidationData

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.beanvalidation.BeanValidationData

    public class BeanValidationData
    extends Object

### Constructor Summary

Constructors
`BeanValidationData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDefaultAndOtherGroups()`
`BigDecimal` `getMaxDecimalExclusive()`
`BigDecimal` `getMaxDecimalInclusive()`
`int` `getMaxInt()`
`BigDecimal` `getMinDecimalExclusive()`
`BigDecimal` `getMinDecimalInclusive()`
`int` `getMinInt()`
`int` `getNegativeInt()`
`int` `getNegativeOrZeroInt()`
`String` `getNonDefaultGroup()`
`String` `getNotBlankString()`
`List<String>` `getNotEmptyList()`
`Map<String,​String>` `getNotEmptyMap()`
`String` `getNotEmptyString()`
`String` `getOverridenBySchemaAnnotation()`
`int` `getPositiveInt()`
`int` `getPositiveOrZeroInt()`
`List<String>` `getSizedList()`
`Map<String,​String>` `getSizedMap()`
`String` `getSizedString()`
`void` `setDefaultAndOtherGroups​(String defaultAndOtherGroups)`
`void` `setMaxDecimalExclusive​(BigDecimal maxDecimalExclusive)`
`void` `setMaxDecimalInclusive​(BigDecimal maxDecimalInclusive)`
`void` `setMaxInt​(int maxInt)`
`void` `setMinDecimalExclusive​(BigDecimal minDecimalExclusive)`
`void` `setMinDecimalInclusive​(BigDecimal minDecimalInclusive)`
`void` `setMinInt​(int minInt)`
`void` `setNegativeInt​(int negativeInt)`
`void` `setNegativeOrZeroInt​(int negativeOrZeroInt)`
`void` `setNonDefaultGroup​(String nonDefaultGroup)`
`void` `setNotBlankString​(String notBlankString)`
`void` `setNotEmptyList​(List<String> notEmptyList)`
`void` `setNotEmptyMap​(Map<String,​String> notEmptyMap)`
`void` `setNotEmptyString​(String notEmptyString)`
`void` `setOverridenBySchemaAnnotation​(String overridenBySchemaAnnotation)`
`void` `setPositiveInt​(int positiveInt)`
`void` `setPositiveOrZeroInt​(int positiveOrZeroInt)`
`void` `setSizedList​(List<String> sizedList)`
`void` `setSizedMap​(Map<String,​String> sizedMap)`
`void` `setSizedString​(String sizedString)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanValidationData

    public BeanValidationData()

### Method Detail

#### getNotEmptyString

    public String getNotEmptyString()

#### setNotEmptyString

    public void setNotEmptyString​(String notEmptyString)

#### getNotEmptyList

    public List<String> getNotEmptyList()

#### setNotEmptyList

    public void setNotEmptyList​(List<String> notEmptyList)

#### getNotEmptyMap

    public Map<String,​String> getNotEmptyMap()

#### setNotEmptyMap

    public void setNotEmptyMap​(Map<String,​String> notEmptyMap)

#### getNotBlankString

    public String getNotBlankString()

#### setNotBlankString

    public void setNotBlankString​(String notBlankString)

#### getSizedString

    public String getSizedString()

#### setSizedString

    public void setSizedString​(String sizedString)

#### getSizedList

    public List<String> getSizedList()

#### setSizedList

    public void setSizedList​(List<String> sizedList)

#### getSizedMap

    public Map<String,​String> getSizedMap()

#### setSizedMap

    public void setSizedMap​(Map<String,​String> sizedMap)

#### getMaxDecimalInclusive

    public BigDecimal getMaxDecimalInclusive()

#### setMaxDecimalInclusive

    public void setMaxDecimalInclusive​(BigDecimal maxDecimalInclusive)

#### getMaxDecimalExclusive

    public BigDecimal getMaxDecimalExclusive()

#### setMaxDecimalExclusive

    public void setMaxDecimalExclusive​(BigDecimal maxDecimalExclusive)

#### getMinDecimalInclusive

    public BigDecimal getMinDecimalInclusive()

#### setMinDecimalInclusive

    public void setMinDecimalInclusive​(BigDecimal minDecimalInclusive)

#### getMinDecimalExclusive

    public BigDecimal getMinDecimalExclusive()

#### setMinDecimalExclusive

    public void setMinDecimalExclusive​(BigDecimal minDecimalExclusive)

#### getMaxInt

    public int getMaxInt()

#### setMaxInt

    public void setMaxInt​(int maxInt)

#### getMinInt

    public int getMinInt()

#### setMinInt

    public void setMinInt​(int minInt)

#### getNegativeInt

    public int getNegativeInt()

#### setNegativeInt

    public void setNegativeInt​(int negativeInt)

#### getNegativeOrZeroInt

    public int getNegativeOrZeroInt()

#### setNegativeOrZeroInt

    public void setNegativeOrZeroInt​(int negativeOrZeroInt)

#### getPositiveInt

    public int getPositiveInt()

#### setPositiveInt

    public void setPositiveInt​(int positiveInt)

#### getPositiveOrZeroInt

    public int getPositiveOrZeroInt()

#### setPositiveOrZeroInt

    public void setPositiveOrZeroInt​(int positiveOrZeroInt)

#### getOverridenBySchemaAnnotation

    public String getOverridenBySchemaAnnotation()

#### setOverridenBySchemaAnnotation

    public void setOverridenBySchemaAnnotation​(String overridenBySchemaAnnotation)

#### getNonDefaultGroup

    public String getNonDefaultGroup()

#### setNonDefaultGroup

    public void setNonDefaultGroup​(String nonDefaultGroup)

#### getDefaultAndOtherGroups

    public String getDefaultAndOtherGroups()

#### setDefaultAndOtherGroups

    public void setDefaultAndOtherGroups​(String defaultAndOtherGroups)